server {
	server_name 	git.roysathome.net;
    client_max_body_size 100M;
	location / {
	    set $backend    	http://127.0.0.1:3000;
        client_max_body_size 100M;
		proxy_pass			$backend;
		proxy_set_header 	Host git.roysathome.net; #$host;
		proxy_set_header	X-Forwarded-Proto https;
		#proxy_set_header 	X-Forwarded-For $proxy_add_x_forwarded_for;
		#proxy_set_header	X-Forwarded-Host $server_name;
	}


    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/git.roysathome.net/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/git.roysathome.net/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}
server {
    if ($host = git.roysathome.net) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


	server_name 	git.roysathome.net;
    listen 80;
    return 404; # managed by Certbot


}
